public class HostFactoryApi extends Object
| Constructor and Description |
|---|
HostFactoryApi() |
HostFactoryApi(ApiClient apiClient) |
| Modifier and Type | Method and Description |
|---|---|
CreateHost |
createHost(String id)
Creates a Host using the Host Factory.
|
CreateHost |
createHost(String id,
String xRequestId,
Object annotations)
Creates a Host using the Host Factory.
|
okhttp3.Call |
createHostAsync(String id,
String xRequestId,
Object annotations,
ApiCallback<CreateHost> _callback)
Creates a Host using the Host Factory.
|
okhttp3.Call |
createHostCall(String id,
String xRequestId,
Object annotations,
ApiCallback _callback)
Build call for createHost
|
ApiResponse<CreateHost> |
createHostWithHttpInfo(String id)
Creates a Host using the Host Factory.
|
ApiResponse<CreateHost> |
createHostWithHttpInfo(String id,
String xRequestId,
Object annotations)
Creates a Host using the Host Factory.
|
List<Object> |
createToken(String expiration,
String hostFactory)
Creates one or more host identity tokens.
|
List<Object> |
createToken(String expiration,
String hostFactory,
String xRequestId,
List<String> cidr,
Integer count)
Creates one or more host identity tokens.
|
okhttp3.Call |
createTokenAsync(String expiration,
String hostFactory,
String xRequestId,
List<String> cidr,
Integer count,
ApiCallback<List<Object>> _callback)
Creates one or more host identity tokens.
|
okhttp3.Call |
createTokenCall(String expiration,
String hostFactory,
String xRequestId,
List<String> cidr,
Integer count,
ApiCallback _callback)
Build call for createToken
|
ApiResponse<List<Object>> |
createTokenWithHttpInfo(String expiration,
String hostFactory)
Creates one or more host identity tokens.
|
ApiResponse<List<Object>> |
createTokenWithHttpInfo(String expiration,
String hostFactory,
String xRequestId,
List<String> cidr,
Integer count)
Creates one or more host identity tokens.
|
ApiClient |
getApiClient() |
void |
revokeToken(String token)
Revokes a token, immediately disabling it.
|
void |
revokeToken(String token,
String xRequestId)
Revokes a token, immediately disabling it.
|
okhttp3.Call |
revokeTokenAsync(String token,
String xRequestId,
ApiCallback<Void> _callback)
Revokes a token, immediately disabling it.
|
okhttp3.Call |
revokeTokenCall(String token,
String xRequestId,
ApiCallback _callback)
Build call for revokeToken
|
ApiResponse<Void> |
revokeTokenWithHttpInfo(String token)
Revokes a token, immediately disabling it.
|
ApiResponse<Void> |
revokeTokenWithHttpInfo(String token,
String xRequestId)
Revokes a token, immediately disabling it.
|
void |
setApiClient(ApiClient apiClient) |
public HostFactoryApi()
public HostFactoryApi(ApiClient apiClient)
public ApiClient getApiClient()
public void setApiClient(ApiClient apiClient)
public okhttp3.Call createHostCall(String id, String xRequestId, Object annotations, ApiCallback _callback) throws ApiException
id - Identifier of the host to be created. It will be created within the account of the host factory. (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)annotations - Annotations to apply to the new host (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 201 | The response body contains the newly-created host | - |
| 401 | Authentication information is missing or invalid | - |
| 422 | A request parameter was either missing or invalid. | - |
public CreateHost createHost(String id, String xRequestId, Object annotations) throws ApiException
id - Identifier of the host to be created. It will be created within the account of the host factory. (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)annotations - Annotations to apply to the new host (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | The response body contains the newly-created host | - |
| 401 | Authentication information is missing or invalid | - |
| 422 | A request parameter was either missing or invalid. | - |
public CreateHost createHost(String id) throws ApiException
id - Identifier of the host to be created. It will be created within the account of the host factory.ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | The response body contains the newly-created host | - |
| 401 | Authentication information is missing or invalid | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<CreateHost> createHostWithHttpInfo(String id, String xRequestId, Object annotations) throws ApiException
id - Identifier of the host to be created. It will be created within the account of the host factory. (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)annotations - Annotations to apply to the new host (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | The response body contains the newly-created host | - |
| 401 | Authentication information is missing or invalid | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<CreateHost> createHostWithHttpInfo(String id) throws ApiException
id - Identifier of the host to be created. It will be created within the account of the host factory.ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | The response body contains the newly-created host | - |
| 401 | Authentication information is missing or invalid | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call createHostAsync(String id, String xRequestId, Object annotations, ApiCallback<CreateHost> _callback) throws ApiException
id - Identifier of the host to be created. It will be created within the account of the host factory. (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)annotations - Annotations to apply to the new host (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 201 | The response body contains the newly-created host | - |
| 401 | Authentication information is missing or invalid | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call createTokenCall(String expiration, String hostFactory, String xRequestId, List<String> cidr, Integer count, ApiCallback _callback) throws ApiException
expiration - `ISO 8601 datetime` denoting a requested expiration time. (required)hostFactory - Fully qualified host factory ID (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)cidr - Number of host tokens to create (optional)count - Number of host tokens to create (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | Zero or more tokens were created and delivered in the response body | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public List<Object> createToken(String expiration, String hostFactory, String xRequestId, List<String> cidr, Integer count) throws ApiException
expiration - `ISO 8601 datetime` denoting a requested expiration time. (required)hostFactory - Fully qualified host factory ID (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)cidr - Number of host tokens to create (optional)count - Number of host tokens to create (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | Zero or more tokens were created and delivered in the response body | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public List<Object> createToken(String expiration, String hostFactory) throws ApiException
expiration - `ISO 8601 datetime` denoting a requested expiration time.hostFactory - Fully qualified host factory IDApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | Zero or more tokens were created and delivered in the response body | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<List<Object>> createTokenWithHttpInfo(String expiration, String hostFactory, String xRequestId, List<String> cidr, Integer count) throws ApiException
expiration - `ISO 8601 datetime` denoting a requested expiration time. (required)hostFactory - Fully qualified host factory ID (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)cidr - Number of host tokens to create (optional)count - Number of host tokens to create (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | Zero or more tokens were created and delivered in the response body | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<List<Object>> createTokenWithHttpInfo(String expiration, String hostFactory) throws ApiException
expiration - `ISO 8601 datetime` denoting a requested expiration time.hostFactory - Fully qualified host factory IDApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | Zero or more tokens were created and delivered in the response body | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call createTokenAsync(String expiration, String hostFactory, String xRequestId, List<String> cidr, Integer count, ApiCallback<List<Object>> _callback) throws ApiException
expiration - `ISO 8601 datetime` denoting a requested expiration time. (required)hostFactory - Fully qualified host factory ID (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)cidr - Number of host tokens to create (optional)count - Number of host tokens to create (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | Zero or more tokens were created and delivered in the response body | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call revokeTokenCall(String token, String xRequestId, ApiCallback _callback) throws ApiException
token - The host factory token to revoke (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 204 | Token was successfully revoked | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
public void revokeToken(String token, String xRequestId) throws ApiException
token - The host factory token to revoke (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | Token was successfully revoked | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
public void revokeToken(String token) throws ApiException
token - The host factory token to revokeApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | Token was successfully revoked | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
public ApiResponse<Void> revokeTokenWithHttpInfo(String token, String xRequestId) throws ApiException
token - The host factory token to revoke (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | Token was successfully revoked | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
public ApiResponse<Void> revokeTokenWithHttpInfo(String token) throws ApiException
token - The host factory token to revokeApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | Token was successfully revoked | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
public okhttp3.Call revokeTokenAsync(String token, String xRequestId, ApiCallback<Void> _callback) throws ApiException
token - The host factory token to revoke (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 204 | Token was successfully revoked | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
Copyright © 2023. All rights reserved.